Meaning of colon in Bash after a double pipe -


i trying understand piece of code:

. functions.sh || { : ; echo "error while loading specified file" >&2; exit 2; } 

i code in bracket called when specified file isn't available. : ; mean? moreover, when delete it, script doesn't work.

the colon null statement, nothing. semi-colon ends list of commands.

not sure why write above, it's "do nothing, echo" seems simplified. somebody's copy-paste baggage.


Comments

Popular posts from this blog

php - Why I am getting the Error "Commands out of sync; you can't run this command now" -

linux - Does gcc have any options to add version info in ELF binary file? -

java - Are there any classes that implement javax.persistence.Parameter<T>? -